summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorVanessa Valderrama <vvalderrama@linuxfoundation.org>2024-05-31 17:45:15 +0000
committerGerrit Code Review <gerrit@fd.io>2024-05-31 17:45:15 +0000
commitcde8cd6b850394dfb43f7061e4b3a894538f8e4f (patch)
treef1f8570877ec1cfa1a6c5e2fee5ff897082619d3 /jjb
parent7302086d933a0ae065f2117be3083a6f968840e0 (diff)
parent80a84ddeab26971d7437ac43116e91dbe625a78f (diff)
Merge "vpp-hst: add VPP HostStack Test framework jobs"
Diffstat (limited to 'jjb')
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/api-checkstyle.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/build.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/commitmsg.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/copy_archives.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/cov-build.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/csit-bisect.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/debug-build.sh0
-rwxr-xr-xjjb/scripts/vpp/debug-hst.sh62
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh0
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/gcc-build.sh0
-rwxr-xr-xjjb/scripts/vpp/hst.sh66
-rwxr-xr-x[-rw-r--r--]jjb/scripts/vpp/test-checkstyle.sh0
-rw-r--r--jjb/vpp/vpp.yaml148
13 files changed, 276 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/api-checkstyle.sh b/jjb/scripts/vpp/api-checkstyle.sh
index a1c2f84a1..a1c2f84a1 100644..100755
--- a/jjb/scripts/vpp/api-checkstyle.sh
+++ b/jjb/scripts/vpp/api-checkstyle.sh
diff --git a/jjb/scripts/vpp/build.sh b/jjb/scripts/vpp/build.sh
index 850d61003..850d61003 100644..100755
--- a/jjb/scripts/vpp/build.sh
+++ b/jjb/scripts/vpp/build.sh
diff --git a/jjb/scripts/vpp/commitmsg.sh b/jjb/scripts/vpp/commitmsg.sh
index 479f35136..479f35136 100644..100755
--- a/jjb/scripts/vpp/commitmsg.sh
+++ b/jjb/scripts/vpp/commitmsg.sh
diff --git a/jjb/scripts/vpp/copy_archives.sh b/jjb/scripts/vpp/copy_archives.sh
index dafcd4aef..dafcd4aef 100644..100755
--- a/jjb/scripts/vpp/copy_archives.sh
+++ b/jjb/scripts/vpp/copy_archives.sh
diff --git a/jjb/scripts/vpp/cov-build.sh b/jjb/scripts/vpp/cov-build.sh
index 15f86c3bf..15f86c3bf 100644..100755
--- a/jjb/scripts/vpp/cov-build.sh
+++ b/jjb/scripts/vpp/cov-build.sh
diff --git a/jjb/scripts/vpp/csit-bisect.sh b/jjb/scripts/vpp/csit-bisect.sh
index 0a264dbc8..0a264dbc8 100644..100755
--- a/jjb/scripts/vpp/csit-bisect.sh
+++ b/jjb/scripts/vpp/csit-bisect.sh
diff --git a/jjb/scripts/vpp/debug-build.sh b/jjb/scripts/vpp/debug-build.sh
index 68338df56..68338df56 100644..100755
--- a/jjb/scripts/vpp/debug-build.sh
+++ b/jjb/scripts/vpp/debug-build.sh
diff --git a/jjb/scripts/vpp/debug-hst.sh b/jjb/scripts/vpp/debug-hst.sh
new file mode 100755
index 000000000..e57ab4c22
--- /dev/null
+++ b/jjb/scripts/vpp/debug-hst.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+# Copyright (c) 2024 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/debug-hst.sh"
+
+set -euxo pipefail
+
+line="*************************************************************************"
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_ARCH=$(uname -m)
+DRYRUN="${DRYRUN:-}"
+BUILD_RESULT="SUCCESSFULLY COMPLETED"
+BUILD_ERROR=""
+RETVAL="0"
+HST_DIR="./extras/hs-test"
+
+vpp_make_build_debug() {
+ if ! make UNATTENDED=yes install-dep ; then
+ BUILD_ERROR="FAILED 'make install-dep'"
+ return
+ fi
+ if ! make UNATTENDED=yes install-ext-deps ; then
+ BUILD_ERROR="FAILED 'make install-ext-deps'"
+ return
+ fi
+ if ! make UNATTENDED=yes build ; then
+ BUILD_ERROR="FAILED 'make build'"
+ return
+ fi
+}
+
+hst_test_debug() {
+ if ! make VERBOSE=true VPPSRC="$(pwd)" -C "$HST_DIR" build-debug test ; then
+ BUILD_ERROR="FAILED 'make -C $HST_DIR test' (debug)"
+ return
+ fi
+}
+
+if [ "${DRYRUN,,}" != "true" ] ; then
+ vpp_make_build_debug
+ hst_test_debug
+fi
+if [ -n "$BUILD_ERROR" ] ; then
+ BUILD_RESULT="$BUILD_ERROR"
+ RETVAL="1"
+fi
+echo -e "\n$line\n* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^}" \
+ "BUILD $BUILD_RESULT\n$line\n"
+exit $RETVAL
diff --git a/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh b/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh
index b2248064b..b2248064b 100644..100755
--- a/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh
+++ b/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh
diff --git a/jjb/scripts/vpp/gcc-build.sh b/jjb/scripts/vpp/gcc-build.sh
index 9bd6d4ff7..9bd6d4ff7 100644..100755
--- a/jjb/scripts/vpp/gcc-build.sh
+++ b/jjb/scripts/vpp/gcc-build.sh
diff --git a/jjb/scripts/vpp/hst.sh b/jjb/scripts/vpp/hst.sh
new file mode 100755
index 000000000..08f075b68
--- /dev/null
+++ b/jjb/scripts/vpp/hst.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+
+# Copyright (c) 2024 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/hst.sh"
+
+set -euxo pipefail
+
+line="*************************************************************************"
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_ARCH=$(uname -m)
+DRYRUN="${DRYRUN:-}"
+BUILD_RESULT="SUCCESSFULLY COMPLETED"
+BUILD_ERROR=""
+RETVAL="0"
+HST_DIR="./extras/hs-test"
+
+vpp_make_build() {
+ if ! make UNATTENDED=yes install-deps ; then
+ BUILD_ERROR="FAILED 'make install-dep'"
+ return
+ fi
+ if ! make UNATTENDED=yes install-ext-deps ; then
+ BUILD_ERROR="FAILED 'make install-ext-deps'"
+ return
+ fi
+ if ! make build-release; then
+ BUILD_ERROR="FAILED 'make build-release'"
+ return
+ fi
+ if ! make -C "$HST_DIR" install-deps build ; then
+ BUILD_ERROR="FAILED 'make -C $HST_DIR install-deps build'"
+ return
+ fi
+}
+
+hst_test() {
+ if ! make VERBOSE=true VPPSRC="$(pwd)" -C "$HST_DIR" build test ; then
+ BUILD_ERROR="FAILED 'make -C $HST_DIR test'"
+ return
+ fi
+}
+
+if [ "${DRYRUN,,}" != "true" ] ; then
+ vpp_make_build
+ hst_test
+fi
+if [ -n "$BUILD_ERROR" ] ; then
+ BUILD_RESULT="$BUILD_ERROR"
+ RETVAL="1"
+fi
+echo -e "\n$line\n* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^}" \
+ "BUILD $BUILD_RESULT\n$line\n"
+exit $RETVAL
diff --git a/jjb/scripts/vpp/test-checkstyle.sh b/jjb/scripts/vpp/test-checkstyle.sh
index 3f0bc9a06..3f0bc9a06 100644..100755
--- a/jjb/scripts/vpp/test-checkstyle.sh
+++ b/jjb/scripts/vpp/test-checkstyle.sh
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 6e9b9c8f7..f5ca153c7 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -52,6 +52,38 @@
# [end] VPP-CHECKSTYLE-X86_64 PROJECT
+# VPP-HST-X86_64 PROJECT
+- project:
+ name: vpp-verify-hst-x86_64
+ jobs:
+ - 'vpp-verify-hst-{stream}-{os}-{executor-arch}'
+ project: 'vpp'
+ os:
+ - ubuntu2204
+ stream:
+ - 'master':
+ branch: 'master'
+ branch-refspec: ''
+ executor-arch: 'x86_64'
+
+# [end] VPP-HST-X86_64 PROJECT
+
+# VPP-HST-DEBUG-X86_64 PROJECT
+- project:
+ name: vpp-verify-hst-debug-x86_64
+ jobs:
+ - 'vpp-verify-hst-debug-{stream}-{os}-{executor-arch}'
+ project: 'vpp'
+ os:
+ - ubuntu2204
+ stream:
+ - 'master':
+ branch: 'master'
+ branch-refspec: ''
+ executor-arch: 'x86_64'
+
+# [end] VPP-HST-DEBUG-X86_64 PROJECT
+
# VPP-X86_64 PROJECT
#
# NOTE: The list of supported branches for each OS are maintained
@@ -490,6 +522,122 @@
# [end] VPP-CHECKSTYLE-VERIFY JOB TEMPLATE
+# VPP-VERIFY-HST JOB TEMPLATE
+- job-template:
+ name: 'vpp-verify-hst-{stream}-{os}-{executor-arch}'
+
+ project-type: freestyle
+ node: 'hst-{os}-prod-{executor-arch}'
+ concurrent: true
+
+ properties:
+ - lf-infra-properties:
+ build-days-to-keep: "{build-days-to-keep}"
+
+ # Please keep parameters in alphabetical order
+ parameters:
+ - gerrit-parameter:
+ branch: '{branch}'
+ - gerrit-refspec-parameter:
+ refspec: '{branch-refspec}'
+ - os-parameter:
+ os: '{os}'
+ - project-parameter:
+ project: '{project}'
+ - stream-parameter:
+ stream: '{stream}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: 120
+
+ triggers:
+ - gerrit-trigger-checkstyle:
+ name: '{project}'
+ branch: '{branch}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ext_deps.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/hst.sh
+
+ publishers:
+ - fdio-infra-publish
+# [end] VPP-VERIFY-HST JOB TEMPLATE
+
+# VPP-VERIFY-HST-DEBUG JOB TEMPLATE
+- job-template:
+ name: 'vpp-verify-hst-debug-{stream}-{os}-{executor-arch}'
+
+ project-type: freestyle
+ node: 'hst-{os}-prod-{executor-arch}'
+ concurrent: true
+
+ properties:
+ - lf-infra-properties:
+ build-days-to-keep: "{build-days-to-keep}"
+
+ # Please keep parameters in alphabetical order
+ parameters:
+ - gerrit-parameter:
+ branch: '{branch}'
+ - gerrit-refspec-parameter:
+ refspec: '{branch-refspec}'
+ - os-parameter:
+ os: '{os}'
+ - project-parameter:
+ project: '{project}'
+ - stream-parameter:
+ stream: '{stream}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: 120
+
+ triggers:
+ - gerrit-trigger-checkstyle:
+ name: '{project}'
+ branch: '{branch}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ext_deps.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/debug-hst.sh
+
+ publishers:
+ - fdio-infra-publish
+# [end] VPP-VERIFY-HST-DEBUG JOB TEMPLATE
+
# VPP-VERIFY JOB TEMPLATE
- job-template:
name: 'vpp-verify-{stream}-{os}-{executor-arch}'